aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xscripts/autogen.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/autogen.sh b/scripts/autogen.sh
index 47a0f6604..506066180 100755
--- a/scripts/autogen.sh
+++ b/scripts/autogen.sh
@@ -7,6 +7,7 @@ DIE=no
autoconf_vers=2.13
automake_vers=1.4
aclocal_vers=1.4
+libtool_vers=1.2
if (autoconf --version) < /dev/null > /dev/null 2>&1 ; then
if (autoconf --version | awk 'NR==1 { if( $3 >= '$autoconf_vers') \
@@ -64,6 +65,22 @@ if (gettext --version </dev/null 2>/dev/null | awk 'NR==1 { split($4,A,"\."); \
fi
+if (libtool --version) < /dev/null > /dev/null 2>&1 ; then
+ if (libtool --version | awk 'NR==1 { if( $4 >= '$libtool_vers') \
+ exit 1; exit 0; }');
+ then
+ echo "**Error**: "\`libtool\'" is too old."
+ echo ' (version ' $libtool_vers ' or newer is required)'
+ DIE="yes"
+ fi
+else
+ echo
+ echo "**Error**: You must have "\`autoconf\'" installed to compile $PGM."
+ echo ' (version ' $autoconf_vers ' or newer is required)'
+ DIE="yes"
+fi
+
+
if test "$DIE" = "yes"; then
exit 1
fi